/***************************************************************************
* File Name: pwf_an0002_defines.h
* Processor(s): MSP430F16x (tested), MSP430F14x (not tested)
* Compiler: Code Composer Studio V4 (4.2.5.00005)
* 
* Copyright  2013 Playing With Fusion, Inc.
* SOFTWARE LICENSE AGREEMENT: This code is released under the MIT License. 
* 
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
* DEALINGS IN THE SOFTWARE.
* **************************************************************************
* REVISION HISTORY:
* Author			Date		Comments
* J. Steinlage		2013Nov30	Original version
* 
* **************************************************************************
* ADDITIONAL NOTES:
* This file contains abstracted configuration values for AN0002.
***************************************************************************/

#ifndef __PWF_AN0002_DEFINES_H_
#define __PWF_AN0002_DEFINES_H_

// MAX31865 Pins
#define RTD0_CS			0x80		// Port 2, Pin 7 (pin 27 of F167)
#define RTD0_DRDY		0x40		// Port 2, Pin 6 (pin 26 of F167)

// LED pins
#define LED1_PIN		0x01		// Port 1, Pin 0 (pin 12 of F167)

// Pin to set RTD type
#define RTD0_type_sel	0x02		// Port 1, Pin 1 (pin 13 of F167)


// UART pins
#define UART1_TX		0x40		// Port 3, Pin 6 (pin 34 of F167)
#define UART1_RX		0x80		// Port 3, Pin 7 (pin 35 of F167)

// SPI pins
#define SIMO_USART0		0x02		// Port 3, Pin 1 (pin 29 of F167)
#define SOMI_USART0		0x04		// Port 3, Pin 2 (pin 30 of F167)
#define SCLK_USART0		0x08		// Port 3, Pin 3 (pin 31 of F167)

#endif /* __PWF_AN0002_DEFINES_H_ */
